package com.judong.chuanyiserver.service;

import com.judong.chuanyiserver.entity.Menu;
import com.judong.chuanyiserver.entity.Role;
import com.judong.chuanyiserver.util.Result;

import java.util.List;

public interface RoleService {

    Result addRole(Role role);

    Result updateRole(Role role);

    Result getRoleListByPage(Integer page, Integer limit, String roleName, String roleCode);

    Result getRoleById(Integer id);

    Result getMenuListByRoleList(List<Role> roleList);

    Result deleteRoleById(Integer roleId);

    Result assignMenu(Integer roleId, List<Menu> menuList);

    Result getMenuTreeByRoleList(List<Integer> roleIdList);
}
